<div class="row alert alert-light mx-4 mt-3">
  <div class="d-flex mt-1 mb-1 pt-1 pb-1 pl-0 ml-0 col-md-2">
    <img src="assets/images/novartis/search.svg" alt="Search" />
    <input placeholder="Search" type="text" #query [ngClass]="query.value?'search':'emptySearch'" />
  </div>
</div>
<div class="mx-4">
  <ejs-grid #dqObjectListGrid [dataSource]="dqObjects"
   [allowPaging]="true" [allowSorting]="true" [allowResizing]="false" [allowReordering]="false" [showColumnChooser]="true" 
   [toolbar]="gridToolbar" [pageSettings]="gridPageSettings" [allowTextWrap]="true" [selectedRowIndex]="0" (dataBound)="onObjectDataBound()">
    <e-columns>
      <e-column field='technical_nm' headerText={{dqObjContent.ruleListColumn.techName}} width='160' textAlign="Center">
        <ng-template #template let-dqObjects>
          <span title="{{dqObjects.technical_nm}}">
            {{dqObjects.technical_nm !== null && dqObjects.technical_nm?.length > 25 ? dqObjects.technical_nm.slice(0,25).concat("...") : dqObjects.technical_nm}}
          </span>
        </ng-template>
      </e-column>
      <e-column field='logical_nm' headerText={{dqObjContent.ruleListColumn.logicalName}} width='160' textAlign="Center">
        <ng-template #template let-dqObjects>
          <span title="{{dqObjects.logical_nm}}">
            {{dqObjects.logical_nm !== null && dqObjects.logical_nm?.length > 25 ? dqObjects.logical_nm.slice(0,25).concat("...") : dqObjects.logical_nm}}
          </span>
        </ng-template>
      </e-column>
      <e-column field='id' headerText={{dqObjContent.ruleListColumn.id}} width='60' textAlign="Center">
        <ng-template #template let-dqObjects>
          <span title="{{dqObjects.id}}">
            {{dqObjects.id !== null && dqObjects.id?.length > 25 ? dqObjects.id.slice(0,25).concat("...") : dqObjects.id}}
          </span>
        </ng-template>
      </e-column>
      <e-column field='description' headerText={{dqObjContent.ruleListColumn.desc}} width='160' textAlign="Center">
        <ng-template #template let-dqObjects>
          <span title="{{dqObjects.description}}">
            {{dqObjects.description !== null && dqObjects.description?.length > 25 ? dqObjects.description.slice(0,25).concat("...") : dqObjects.description}}
          </span>
        </ng-template>
      </e-column>
      <e-column field='type' headerText={{dqObjContent.ruleListColumn.type}} textAlign="Center">
        <ng-template #template let-dqObjects>
          <span title="{{dqObjects.type}}">
            {{dqObjects.type !== null && dqObjects.type?.length > 25 ? dqObjects.type.slice(0,25).concat("...") : dqObjects.type}}
          </span>
        </ng-template>
      </e-column>
      <e-column field='data_set' headerText={{dqObjContent.ruleListColumn.dataAsset}} textAlign="Center">
        <ng-template #template let-dqObjects>
          <span title="{{dqObjects.data_set}}">
            {{dqObjects.data_set !== null && dqObjects.data_set?.length > 25 ? dqObjects.data_set.slice(0,25).concat("...") : dqObjects.data_set}}
          </span>
        </ng-template>
      </e-column>
      <e-column field='layer' headerText={{dqObjContent.ruleListColumn.layer}} textAlign="Center">
        <ng-template #template let-dqObjects>
          <span title="{{dqObjects.layer}}">
            {{dqObjects.layer !== null && dqObjects.layer?.length > 25 ? dqObjects.layer.slice(0,25).concat("...") : dqObjects.layer}}
          </span>
        </ng-template>
      </e-column>
      <e-column field='total_rules_configured' headerText={{dqObjContent.ruleListColumn.ttlRlConfig}} textAlign="Center">
        <ng-template #template let-dqObjects>
          <span title="{{dqObjects.total_rules_configured}}">
            {{dqObjects.total_rules_configured !== null && dqObjects.total_rules_configured?.length > 25 ? dqObjects.total_rules_configured.slice(0,25).concat("...") : dqObjects.total_rules_configured}}
          </span>
        </ng-template>
      </e-column>
      <e-column headerText={{dqObjContent.ruleListColumn.view}} width='85' textAlign="Center">
        <ng-template #template let-dqObjects>
          <img src="assets/images/novartis/next.svg" class="view-btn" alt="View" title="View" (click)="viewObjectInfoHandler(dqObjects.id)"/>
      </ng-template>
      </e-column>
    </e-columns>
  </ejs-grid>
  <!-- <span class="d-flex float-right top-minus-42" id="customPagerTemplate">
    <span class="text-dark ml-5 mr-2 pt-2">Results Per Page</span>
    <span class="mt-1">
      <ejs-dropdownlist name="pageSize" cssClass="e-outline" [dataSource]="['All', '5', '10', '20', '30', '50', '100']"
        value="5" (change)="changePageSize($event)" width="75px">
      </ejs-dropdownlist>
    </span>
  </span> -->
  <span id="showObjectCount" class="top-minus-5">
    <span class="text-muted">{{(dqObjectListGrid.pageSettings.currentPage-1)*dqObjectListGrid.pageSettings.pageSize+1}}
      - {{filterMetadata.count > dqObjectListGrid.pageSettings.currentPage*dqObjectListGrid.pageSettings.pageSize ? dqObjectListGrid.pageSettings.currentPage*dqObjectListGrid.pageSettings.pageSize : filterMetadata.count}}
    of {{totalObjects}} Results</span>
  </span>
  <span id="columnChooserTemplateObj" class=" mr-0 top-minus-8">
    <button class="iconButton btn btn-primary" data-ripple="true" aria-label="Choose Columns To be Displayed">
      <img src="assets/images/novartis/column.svg" alt="Choose Columns" />
    </button>
  </span>
</div>